# etw-rest-api version

Returns the current version of the etw-rest api

Endpoint: GET /etw-rest/getVersion
Version: 2026r4.2.0

## Response 200 fields (application/json):

  - `webservice` (object, required)

  - `webservice.name` (string, required)
    Example: "REST webservice"

  - `webservice.parameter` (object)

  - `webservice.tags` (array)

  - `webservice.dataSources` (array)

  - `webservice.dataSources.name` (string)
    Example: "REST webservice"

  - `webservice.dataSources.type` (string)
    Example: "DATABASE"

  - `webservice.dataSources.parameter` (object)

  - `webservice.dataSources.tags` (array)

  - `backendServices` (array)

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    a URI reference that identifies the problem via an errorKey. URI is not resolvable at the moment, but might be in the future
    Enum: "LOCATION", "PARAMETER", "INTERNAL", "ROUTING", "ERROR_HANDLING", "CONFIGURATION"

  - `title` (string, required)
    a short, human-readable summary of the error
    Example: "Location not found"

  - `status` (integer, required)
    indicating the HTTP status code
    Example: 400

  - `detail` (string, required)
    human-readable explanation specific to this occurrence of the problem
    Example: "could not find Location for IATA code: ZZZ"

  - `instance` (string)
    URI reference that identifies the specific occurrence of the problem
    Example: "/calculateTransport"

  - `action` (string)
    proposed action to solve the problem
    Example: "Verify location existence or define another location."

  - `timestamp` (string)
    date and time (in UTC) when the error occurred (YYYY-MM-DD)
    Example: "2024-06-30T06:39:25Z"


